javax.ws.rs.core

## Class Form

- java.lang.Object
- - javax.ws.rs.core.Form

-     public class Form
      extends Object

  Represents the the HTML form data request entity encoded using the `"application/x-www-form-urlencoded"` content type.
  Since:
    2.0
  Author:
    Marek Potociar

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Form()` Create a new form data instance.
    `Form(MultivaluedMap<String,String> store)` Create a new form data instance and register a custom underlying parameter store.
    `Form(String parameterName, String parameterValue)` Create a new form data instance with a single parameter entry.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultivaluedMap<String,String>` | `asMap()` Returns multivalued map representation of the form.
    `Form` | `param(String name, String value)` Adds a new value to the specified form parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Form

          public Form()

      Create a new form data instance.

      The underlying form parameter store is configured to preserve the insertion order of the parameters. I.e. parameters can be iterated in the same order as they were inserted into the `Form`.

    - #### Form

          public Form(String parameterName,
              String parameterValue)

      Create a new form data instance with a single parameter entry.

      The underlying form parameter store is configured to preserve the insertion order of the parameters. I.e. parameters can be iterated in the same order as they were inserted into the `Form`.

      Parameters:
        `parameterName` - form parameter name.
        `parameterValue` - form parameter value.

    - #### Form

          public Form(MultivaluedMap<String,String> store)

      Create a new form data instance and register a custom underlying parameter store.

      This method is useful in situations when a custom parameter store is needed in order to change the default parameter iteration order, improve performance or facilitate other custom requirements placed on the parameter store.

      Parameters:
        `store` - form data store used by the created form instance.

  - ### Method Detail

    - #### param

          public Form param(String name,
                   String value)

      Adds a new value to the specified form parameter.
      Parameters:
        `name` - name of the parameter.
        `value` - new parameter value to be added.
      Returns:
        updated `Form` instance.

    - #### asMap

          public MultivaluedMap<String,String> asMap()

      Returns multivalued map representation of the form.
      Returns:
        form represented as multivalued map.
      See Also:
        `MultivaluedMap`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.